Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class BufferManager

    java.lang.Object
      org.codehaus.groovy.tools.shell.BufferManager

    class BufferManager

Manages the shells buffers.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary
`protected Logger` | `log`

Property Summary
`java.util.List` | `buffers`
`int` | `selected`

Constructor Summary
`BufferManager()`

Method Summary
`void` | `clearSelected()`
`int` | `create(boolean select)`
`java.util.List` | `current()`
`void` | `delete(int index)`
`void` | `deleteSelected()`
`void` | `reset()`
`void` | `select(int index)`
`int` | `size()`
`void` | `updateSelected(java.util.List buffer)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### log

    protected final Logger log

Property Detail

### buffers

    final java.util.List buffers

### selected

    int selected

Constructor Detail

### BufferManager

    BufferManager()

Method Detail

### clearSelected

    void clearSelected()

### create

    int create(boolean select)

### current

    java.util.List current()

### delete

    void delete(int index)

### deleteSelected

    void deleteSelected()

### reset

    void reset()

### select

    void select(int index)

### size

    int size()

### updateSelected

    void updateSelected(java.util.List buffer)

Groovy Documentation